@font-face {
    font-family: "Montserrat";
    font-weight: 100;
    font-style: normal;
    src: url(../fonts/Montserrat-Thin.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 100;
    font-style: italic;
    src: url(../fonts/Montserrat-ThinItalic.woff2) format("woff2");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 200;
    font-style: normal;
    src: url(../fonts/Montserrat-ExtraLight.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 200;
    font-style: italic;
    src: url(../fonts/Montserrat-ExtraLightItalic.woff2) format("woff2");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 300;
    font-style: normal;
    src: url(../fonts/Montserrat-Light.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 300;
    font-style: italic;
    src: url(../fonts/Montserrat-LightItalic.woff2) format("woff2");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 400;
    font-style: normal;
    src: url(../fonts/Montserrat-Regular.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 400;
    font-style: italic;
    src: url(../fonts/Montserrat-Italic.woff2) format("woff2");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 500;
    font-style: normal;
    src: url(../fonts/Montserrat-Medium.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 500;
    font-style: italic;
    src: url(../fonts/Montserrat-MediumItalic.woff2) format("woff2");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 600;
    font-style: normal;
    src: url(../fonts/Montserrat-SemiBold.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 600;
    font-style: italic;
    src: url(../fonts/Montserrat-SemiBoldItalic.woff2) format("woff2");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 700;
    src: url(../fonts/Montserrat-Bold.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 700;
    font-style: italic;
    src: url(../fonts/Montserrat-BoldItalic.woff2) format("woff2");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 800;
    src: url(../fonts/Montserrat-ExtraBold.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 800;
    font-style: italic;
    src: url(../fonts/Montserrat-ExtraBoldItalic.woff2) format("woff2");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 900;
    src: url(../fonts/Montserrat-Black.woff) format("woff");
}

@font-face {
    font-family: "Montserrat";
    font-weight: 900;
    font-style: italic;
    src: url(../fonts/Montserrat-BlackItalic.woff2) format("woff2");
}

@keyframes body-transition {
    0%, 30% {
        background-color: transparent;
    }
    100% {
        background-color: #000;
    }
}

@keyframes page-container-transition {
    0%, 30% {
        transform: scale(0.8);
        opacity: 0;
    }
    100% {
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes navbar-transition {
    0%, 30% {
        transform: translateY(-150%);
    }
    100% {
        transform: translateY(0%);
    }
}
body {
    margin: 0;
    padding: 0;
    font-family: "Montserrat", "Helvetica Neue", sans-serif;
    font-weight: 300;
    animation: body-transition 1.5s cubic-bezier(0,0.5,0.5,1);
}

b, strong {
    font-weight: 600;
}

a {
    text-decoration: none;
    color: #26e;
    transition: color 0.2s;
}

a:hover {
    color: #15c;
    text-decoration: underline;
}

a:visited {
    color: #43e;
}

a:visited:hover {
    color: #32c;
}

a:active {
    color: #c96;
    text-decoration: underline;
}

.page-container {
    background-color: #fff;
    padding: 64px 16px 0;
    transform: scale(1);
    animation: page-container-transition 1.5s cubic-bezier(0,0.5,0.5,1);
    min-height: calc(100vh - 64px);
}

.circle {
    position: absolute;
    left: -100px;
    top: 0;
    width: 60px;
    height: 60px;
    background: transparent;
    border-radius: 50%;
    pointer-events: none;
    -webkit-backdrop-filter: invert(1);
    backdrop-filter: invert(1);
    transform: translate(-50%, -50%);
    transition: width 0.5s, height 0.5s, left 0.5s cubic-bezier(0, 0.8, 0.2, 1), top 0.5s cubic-bezier(0, 0.8, 0.2, 1);
    z-index: 2147483600;
}

.circle.expanded {
    width: 120px;
    height: 120px;
}

.circle.expanded.clicked {
    width: calc(200vw + 200vh);
    height: calc(200vw + 200vh);
    background-color: #fff;

    transition: width 0.7s cubic-bezier(0.8, 0, 1, 0.2), height 0.7s cubic-bezier(0.8, 0, 1, 0.2), left 0.5s cubic-bezier(0.8, 0, 1, 0.2), top 0.5s cubic-bezier(0.8, 0, 1, 0.2), background 0.7s 0.5s ease-in;
}
  
.navbar {
    background-color: #f8f8f8cc;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    max-height: 48px;
    z-index: 1000;
    -webkit-backdrop-filter: blur(1em);
    backdrop-filter: blur(1em);
    box-shadow: 0 4px 4px #0003;
    overflow: hidden;
    transition: max-height 0.3s;
    animation: navbar-transition 1.5s cubic-bezier(0,0.5,0.5,1);
}
 
.navbar-expanded {
    max-height: 144px;
}

.navbar ul {
    list-style-type: none;
    margin: 0;
    line-height: 48px;
    padding: 0 8px;
    display: flex;
}

.navbar ul li {
    line-height: 48px;
}

.navbar ul li a {
    text-decoration: none;
    color: #000;
    line-height: 48px;
    display: block;
    padding: 0 8px;
}

.navbar ul li a.homepage-link {
    font-weight: 500;
}

.navbar ul li a.active {
    background-color: #0001;
    font-weight: 400;
    font-size: 1.15em;
}

.navbar ul li a.homepage-link.active {
    font-weight: 600;
}

.nav-button {
    float: right;
    line-height: 48px;
    padding: 0 16px;
    font-size: 1.15em;
    border: none;
    background: none;
    color: inherit;
    font-family: inherit;
    font-weight: inherit;
    display: none;
}

.jumbotron {
    background: linear-gradient(135deg, #059, #064);
    margin: -16px -16px 16px;
    padding: 32px;
    color: white;
    font-size: 1.3em;
    text-align: center;
}

.jumbotron-books {
    background: linear-gradient(135deg, #09f, #0c8), url(/images/books.jpg);
    background-size: cover;
    background-blend-mode: multiply;
    background-position: center;
}

.jumbotron-calculators {
    background: linear-gradient(135deg, #09f, #0c8), url(/images/calculator.jpg);
    background-size: cover;
    background-blend-mode: multiply;
    background-position: center;
}

.jumbotron-flash-drives {
    background: linear-gradient(135deg, #09f, #0c8), url(/images/flash-drive.jpg);
    background-size: cover;
    background-blend-mode: multiply;
    background-position: center;
}

.jumbotron-stationery {
    background: linear-gradient(135deg, #09f, #0c8), url(/images/stationary-set2.jpg);
    background-size: cover;
    background-blend-mode: multiply;
    background-position: center;
}

.jumbotron h1 {
    font-size: 2.3em;
    font-weight: 600;
    word-spacing: -0.1em;
    font-variant-numeric: proportional-nums;
}

h2 {
    font-size: 1.9em;
    font-weight: 600;
}

h3 {
    font-size: 1.5em;
    font-weight: 500;
}

.product-images {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.product-image {
    margin: 16px;
    color: inherit;
    text-decoration: none;
}

.product-image img {
    width: 240px;
    height: 240px;
    object-fit: cover;
    border-radius: 4px;
    box-shadow: 0 0 0 #6666;
    transition: box-shadow 0.2s;
}

.product-image img:hover {
    box-shadow: 0 6px 16px 1px #6666;
}
.product-image figcaption {
    margin: 16px 0;
    font-size: 1.4em;
    font-weight: 500;
    width: 240px;
}

.product-image figcaption.product-price {
    font-size: 1.1rem;
    font-weight: 400;
}

.product-image figcaption.product-price s.product-price-was {
    font-size: 1rem;
    font-weight: 300;
    color: #666;
    text-decoration: none;
    background-image: linear-gradient(to bottom right, transparent 47%, #666 49%, #666 51%, transparent 53%);
}

.product-image figcaption.product-price-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: -8px;
}

.product-image figcaption.product-price-group .product-price {
    font-size: 1.1rem;
    font-weight: 400;
}

.product-image figcaption.product-price-group .product-qty {
    font-size: 1rem;
    font-weight: 400;
    font-style: italic;
}
footer {
    margin: 16px 0;
    text-align: center;
    font-size: 0.9em;
    color: #666;
}
@media (prefers-color-scheme: dark) {
    body {
        background-color: #000;
        color: #fff;
    }

    .page-container {
        background-color: #000;
        color: #fff;
    }

    a {
        color: #5af;
    }

    a:hover {
        color: #7bf;
        text-decoration: underline;
    }

    a:visited {
        color: #a7f;
    }

    a:visited:hover {
        color: #b9f;
    }

    a:active {
        color: #db9;
    }

    .navbar {
        background-color: #111c;
        color: #fff;
    } 

    .navbar ul li a {
        color: #fff;
    }

    .navbar ul li a.active {
        background-color: #fff1;
    }

    .product-image figcaption.product-price s.product-price-was {
        color: #aaa;
        background-image: linear-gradient(to bottom right, transparent 47%, #aaa 49%, #aaa 51%, transparent 53%);
    }

    footer {
        color: #aaa;
    }
}

@media screen and (max-width: 599px) {
    .navbar ul {
        flex-direction: column;
        justify-content: stretch;
        padding: 0;
    }

    .navbar ul li a {
        padding: 0 16px;
    }

    .nav-button {
        display: block;
    }

    .jumbotron h1 {
        font-size: 1.7em;
        word-spacing: -0.05em;
    }

    h2 {
        font-size: 1.6em;
    }

    h3 {
        font-size: 1.4em;
    }

    .product-image {
        margin: 8px;
    }

    .product-image img {
        width: 38vw;
        height: 38vw;
    }

    .product-image figcaption {
        font-size: 1.2em;
        width: 38vw;
    }

    .jumbotron {
        padding: 16px;
        font-size: 1.1em;
    }

    .product-image figcaption.product-price-group {
        flex-direction: column;
        align-items: flex-start;
    }
}